package com.ruoyi.business.service;

import java.util.Date;
import java.util.List;
import com.ruoyi.business.domain.TbUser;

/**
 * 用户个人信息Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITbUserService 
{
    /**
     * 查询用户个人信息
     * 
     * @param userId 用户个人信息主键
     * @return 用户个人信息
     */
    public TbUser selectTbUserByUserId(Long userId);

    /**
     * 查询用户个人信息列表
     * 
     * @param tbUser 用户个人信息
     * @return 用户个人信息集合
     */
    public List<TbUser> selectTbUserList(TbUser tbUser);

    /**
     * 新增用户个人信息
     * 
     * @param tbUser 用户个人信息
     * @return 结果
     */
    public int insertTbUser(TbUser tbUser);

    /**
     * 修改用户个人信息
     * 
     * @param tbUser 用户个人信息
     * @return 结果
     */
    public int updateTbUser(TbUser tbUser);

    /**
     * 批量删除用户个人信息
     * 
     * @param userIds 需要删除的用户个人信息主键集合
     * @return 结果
     */
    public int deleteTbUserByUserIds(String userIds);

    /**
     * 删除用户个人信息信息
     * 
     * @param userId 用户个人信息主键
     * @return 结果
     */
    public int deleteTbUserByUserId(Long userId);

    int selectCount(Date startTime, Date endTime);
}
